#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    double double_eq_const_0_0;
    double double_eq_const_1_0;
    double double_eq_const_2_0;
    double double_eq_const_3_0;
    double double_eq_const_4_0;
    double double_eq_const_5_0;
    double double_eq_const_6_0;
    double double_eq_const_7_0;

    if (size < 64)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&double_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_3_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_4_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_5_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_6_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_7_0, &data[i], 8);
    i += 8;


    if (double_eq_const_0_0 == -1.383405229739581E-104)
    if (double_eq_const_1_0 == 7.428977178043783E-112)
    if (double_eq_const_2_0 == -3.748941665177278E174)
    if (double_eq_const_3_0 == -3.6206350766188774E-271)
    if (double_eq_const_4_0 == 1.8251572988874465E142)
    if (double_eq_const_5_0 == -6.470414255671114E-261)
    if (double_eq_const_6_0 == 1.0812447295067596E-213)
    if (double_eq_const_7_0 == -4.371399869427016E67)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
